DISKCTL(8)

NAME
diskctl - control disk drive

SYNOPSIS
diskctl device command [arguments]

DESCRIPTION
The diskctl tool allows one to view and manage settings of, and perform actions on, disk drives. The following paragraph lists the commands that are currently supported by this tool. Please note that not all disks and drivers support all commands.

COMMANDS

getwcache
    Retrieve the status (on or off) of the write cache on the device.

setwcache [on|off]
    Enable or disable the write cache on the device. Disabling the write cache typically also triggers a cache flush.

flush
    Tell the device to flush its write cache. The call will not return until the cache flush has completed.

EXAMPLES

diskctl /dev/c0d0 setwcache on
    # Turn on the write cache on c0d0.

diskctl /dev/c1d2 flush
    # Trigger a cache flush on c1d2.

SEE ALSO
controller(4).

AUTHOR
David van Moolenbroek <dcvmoole@cs.vu.nl>